Update a transaction.

Updates a Transaction by external transaction ID.

Note: If you are using the Alloy Events API, you do not need to use any of the Transactions endpoints. All data should be sent through the Events API with a relevant event_type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique external identifier for the transaction.

Body Params
string

Unique external identifier for the transaction. Required if using counterparty MLA.

string

ISO 8601 date. Used as the transaction's date or date to look back from when evaluating an account.

integer

Amount in cents

string

3-character currency code (e.g. "USD")

source
object

The account that is being evaluated. Typically this is the account that is owned by your organization. The body must contain either an external_account_id or account_number.

destination
object

The counterparty account that is interacting with the source_account-- for example, a merchant account. The body must contain either an external_account_id or account_number.

account_snapshot
object | null

Snapshot of the source account of the transaction. Note that this is not a separate call, it is part of either an /accounts call or an /evaluations call

string | null
enum

Platform or process method of the transaction. Allowed values are ("Card". "Internal", "Check", "P2P", "ACH", "Cash", "Wire", null)

Allowed:
string | null
enum

Splits process_method into more granular values. Allowed values are ("Adjustment", "ATM Rebate", "Bill Pay", "Chargeback", "Deposit", "Direct Deposit Bonus", "Interest", "Overdraft Fee", "Payment", "Promo", "Purchase", "Purchase Return", "Return", "Service Charge", "Withdrawal", null)

string | null
enum

Where the transaction took place. Allow values are ("Android", "ATM", "Card Swipe Terminal", "iOS", "Mobile", "Online Form", "Point of Sale", "Teller", "3rd Party App", null)

string | null

The raw type code of the transaction. There should be a 1:1 mapping from type_code to type_description provided to Alloy.

string | null

Description of the type code. There should be a 1:1 mapping from type_code to type_description provided to Alloy. Currently not used in decisioning.

boolean | null

If the transaction was approved by the customer

boolean | null

If the transaction is a refund

boolean | null

Whether the transaction is initiated by the source entity. Mainly used to distinguish betweeh ACH push and pull

boolean | null

True if the transaction is international

string | null

This represents the Alphanumeric ACH return Code. (e.g. R01)

string | null
enum

Allowed values are ("Unauthorized", null). Currently not used in decisioning.

Allowed:
number | null

POS entry modes on card transactions

number | null

Response codes returned on card transactions

string | null
enum

Allowed values are ("Acknowledged", "Accepted", "Rejected", "Paused", "Pending", "Completed", "Declined", "Cancelled", null)

string | null

Additional description on transaction status. Currently not used in decisioning.

number | null

ISO standard value returned on card transactions

string | null

ISO 8601 date. Currently not used in decisioning.

string | null

ISO 8601 date. Currently not used in decisioning.

string | null

A description of the transaction. Currently not used in decisioning.

string | null

The raw approval code provided by the customer. Currently not used in decisioning.

transaction_meta
object | null

Object containing extra raw data not stored in other columns. Currently not used in decisioning.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json